valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
242 lines (241 loc) • 8.59 kB
TypeScript
import { z } from 'zod';
export declare const pregameLoadoutsEndpoint: {
readonly name: "Pre-Game Loadouts";
readonly description: "Get Pre-Game loadout data";
readonly queryName: "Pregame_GetMatchLoadouts";
readonly category: "Pre-Game Endpoints";
readonly type: "glz";
readonly suffix: "pregame/v1/matches/{pre-game match id}/loadouts";
readonly riotRequirements: {
readonly token: true;
readonly entitlement: true;
readonly clientPlatform: true;
readonly clientVersion: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
Loadouts: z.ZodArray<z.ZodObject<{
Subject: z.ZodString;
Sprays: z.ZodObject<{
SpraySelections: z.ZodArray<z.ZodObject<{
SocketID: z.ZodString;
SprayID: z.ZodString;
LevelID: z.ZodString;
}, "strip", z.ZodTypeAny, {
SocketID: string;
SprayID: string;
LevelID: string;
}, {
SocketID: string;
SprayID: string;
LevelID: string;
}>, "many">;
}, "strip", z.ZodTypeAny, {
SpraySelections: {
SocketID: string;
SprayID: string;
LevelID: string;
}[];
}, {
SpraySelections: {
SocketID: string;
SprayID: string;
LevelID: string;
}[];
}>;
Expressions: z.ZodObject<{
AESSelections: z.ZodArray<z.ZodObject<{
SocketID: z.ZodString;
AssetID: z.ZodString;
TypeID: z.ZodString;
}, "strip", z.ZodTypeAny, {
SocketID: string;
AssetID: string;
TypeID: string;
}, {
SocketID: string;
AssetID: string;
TypeID: string;
}>, "many">;
}, "strip", z.ZodTypeAny, {
AESSelections: {
SocketID: string;
AssetID: string;
TypeID: string;
}[];
}, {
AESSelections: {
SocketID: string;
AssetID: string;
TypeID: string;
}[];
}>;
Items: z.ZodRecord<z.ZodString, z.ZodObject<{
ID: z.ZodString;
TypeID: z.ZodString;
Sockets: z.ZodRecord<z.ZodString, z.ZodObject<{
ID: z.ZodString;
Item: z.ZodObject<{
ID: z.ZodString;
TypeID: z.ZodString;
}, "strip", z.ZodTypeAny, {
ID: string;
TypeID: string;
}, {
ID: string;
TypeID: string;
}>;
}, "strip", z.ZodTypeAny, {
ID: string;
Item: {
ID: string;
TypeID: string;
};
}, {
ID: string;
Item: {
ID: string;
TypeID: string;
};
}>>;
}, "strip", z.ZodTypeAny, {
ID: string;
TypeID: string;
Sockets: Record<string, {
ID: string;
Item: {
ID: string;
TypeID: string;
};
}>;
}, {
ID: string;
TypeID: string;
Sockets: Record<string, {
ID: string;
Item: {
ID: string;
TypeID: string;
};
}>;
}>>;
}, "strip", z.ZodTypeAny, {
Subject: string;
Sprays: {
SpraySelections: {
SocketID: string;
SprayID: string;
LevelID: string;
}[];
};
Expressions: {
AESSelections: {
SocketID: string;
AssetID: string;
TypeID: string;
}[];
};
Items: Record<string, {
ID: string;
TypeID: string;
Sockets: Record<string, {
ID: string;
Item: {
ID: string;
TypeID: string;
};
}>;
}>;
}, {
Subject: string;
Sprays: {
SpraySelections: {
SocketID: string;
SprayID: string;
LevelID: string;
}[];
};
Expressions: {
AESSelections: {
SocketID: string;
AssetID: string;
TypeID: string;
}[];
};
Items: Record<string, {
ID: string;
TypeID: string;
Sockets: Record<string, {
ID: string;
Item: {
ID: string;
TypeID: string;
};
}>;
}>;
}>, "many">;
LoadoutsValid: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
Loadouts: {
Subject: string;
Sprays: {
SpraySelections: {
SocketID: string;
SprayID: string;
LevelID: string;
}[];
};
Expressions: {
AESSelections: {
SocketID: string;
AssetID: string;
TypeID: string;
}[];
};
Items: Record<string, {
ID: string;
TypeID: string;
Sockets: Record<string, {
ID: string;
Item: {
ID: string;
TypeID: string;
};
}>;
}>;
}[];
LoadoutsValid: boolean;
}, {
Loadouts: {
Subject: string;
Sprays: {
SpraySelections: {
SocketID: string;
SprayID: string;
LevelID: string;
}[];
};
Expressions: {
AESSelections: {
SocketID: string;
AssetID: string;
TypeID: string;
}[];
};
Items: Record<string, {
ID: string;
TypeID: string;
Sockets: Record<string, {
ID: string;
Item: {
ID: string;
TypeID: string;
};
}>;
}>;
}[];
LoadoutsValid: boolean;
}>;
};
};
export type PregameLoadoutsResponse = z.infer<typeof pregameLoadoutsEndpoint.responses['200']>;